ByCloud Docs
GuidesCLIAPISDK
get/v1/security-groups

List security groups

List all security groups in the current organization

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

name

stringoptional

query

Filter by name (exact match or prefix with *)

Example: "web-*"

tags

stringoptional

query

Filter by tags (comma-separated)

Example: "web,production"

Responses

200

List of security groups

Content-Type: application/json

security_groups

arrayoptional

meta

objectoptional

links

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/security-groups" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of security groups

{
"security_groups": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:security-group:550e8400-e29b-41d4-a716-446655440000",
"name": "web-servers",
"description": "Security group for web servers",
"security_group_rules": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:security-group-rule:550e8400-e29b-41d4-a716-446655440000",
"security_group_id": "550e8400-e29b-41d4-a716-446655440001",
"direction": "ingress",
"ethertype": "IPv4",
"protocol": "tcp",
"port_range_min": 80,
"port_range_max": 80,
"remote_ip_prefix": "0.0.0.0/0",
"remote_group_id": "550e8400-e29b-41d4-a716-446655440000",
"description": "string",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
},
"links": {
"self": "https://api.spo1.mycloud.com/v1/instances?limit=20",
"next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000",
"previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"
}
}